Subject: [rohc] [rfc 4996] Sending of SACK option in IR/IR-DYN packets of TCP profile

From: Suneeta Rao <[email-masked]>
Date: Wed, 1 Oct 2008 09:00:09 -0700 (PDT)

Hello ROHCers,

I was going through RFC 4996, and it looked a bit puzzling to me that the SACK option of the TCP packet needs to be transmitted as a list, and the encoding specified is LSB.

The encoding method specified for SACK is tcp_opt_sack().
This encoding method either specifies a compressed packet, or an irregular chain.
IR-DYN packet does not have any irregular chain. So I'm not sure now how the list will be filled in for a IR/IR-DYN packet. As far as I understand, it's the uncompressed values that should be transmitted in IR-DYN.

Regards,
Suneeta.

_______________________________________________
Rohc mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rohc